## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCollection Member List

This is the complete list of members for iCollection, including all inherited members.

AddObject(iObject *obj)=0 | iCollection | `[pure virtual]`
AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
FindObject(char *name) const =0 | iCollection | `[pure virtual]`
GetObject(int i) const =0 | iCollection | `[pure virtual]`
GetObjectCount() const =0 | iCollection | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
operator[](int i) const =0 | iCollection | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
QueryObject()=0 | iCollection | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`